NSParserInternal::Zone Struct Reference

internal structure used to stored some zone data More...

## Public Member Functions

| Zone ()
| constructor More...

## Public Attributes

std::vector< Reference > | m_referenceList
| the list of reference More...
std::vector< int > | m_numberingResetList
| the list of numbering reset id More...
std::vector< Variable > | m_variableList
| the list of variable More...
std::vector< Variable > | m_versionList
| the list of versions More...

## Detailed Description

internal structure used to stored some zone data

## Constructor & Destructor Documentation

NSParserInternal::Zone::Zone | ( |  | ) |

inline

constructor

## Member Data Documentation

std::vector<int> NSParserInternal::Zone::m_numberingResetList

the list of numbering reset id

Referenced by NSParser::getReferenceData(), and NSParser::readNumberingReset().

std::vector<Reference> NSParserInternal::Zone::m_referenceList

the list of reference

Referenced by NSParser::readReference().

std::vector<Variable> NSParserInternal::Zone::m_variableList

the list of variable

Referenced by NSParser::getDateFormat(), NSParser::getReferenceData(), and NSParser::readVariable().

std::vector<Variable> NSParserInternal::Zone::m_versionList

the list of versions

Referenced by NSParser::readVariable().

The documentation for this struct was generated from the following file:

- NSParser.cxx